xdiff_string_merge3
xdiff_string_patch
xdiff Functions
PHP Manual

# xdiff_string_patch_binary

(PECL xdiff:0.2-1.4)

xdiff_string_patch_binary — Alias of xdiff_string_bpatch

### Description

string xdiff_string_patch_binary ( string `$str` , string `$patch` )

Patches a string `str` with a binary `patch` . This function accepts patches created both via xdiff_string_bdiff() and xdiff_string_rabdiff() functions or their file counterparts.

Starting with version 1.5.0 this function is an alias of xdiff_string_bpatch().

### Parameters

`str`

  The original binary string.

`patch`

  The binary patch string.

### Return Values

Returns the patched string, or `FALSE` on error.

### See Also

- xdiff_string_bpatch()
- xdiff_string_bdiff()
- xdiff_string_rabdiff()

xdiff_string_merge3
xdiff_string_patch
xdiff Functions
PHP Manual